petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectDestroy

Destroys any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectDestroy(PetscObject *obj)

Collective on PetscObject Many br

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Many brThis must be cast with a (PetscObject*), for example, Many brPetscObjectDestroy((PetscObject*)&mat); Many br

Many br

Level:beginner
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages